Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb.sb
Class ServiceBean

`java.lang.Object
oracle.jbo.server.ejb.SessionBeanImpl
oracle.jbo.server.ejb.sb.ServiceBean`

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, java.io.Serializable, javax.ejb.SessionBean

Direct Known Subclasses:
  BeanManagedServiceBean, ContainerManagedServiceBeanBase

public abstract class ServiceBean
extends SessionBeanImpl

BaseClass for Application Module Service Session Bean. Service beans aggregate an application module for exposing any business logic as a session bean.

Subclasses must provide a TransactionHandlerFactory implementation for associating the appmodule transaction with the bean transaction.

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`mApplicationModule`

Constructor Summary
`ServiceBean()`

Method Summary
`protected void` | `createApplicationModule(java.lang.String amDefName)` Convenience method for creating the aggregated application module instance.
`protected void` | `createApplicationModule(java.lang.String amDefName, java.lang.String configName)` Convenience method for creating the aggregated application module instance using a LOCAL mode configuration.
`protected abstract TransactionHandlerFactory` | `createTransactionHandlerFactory()`
`protected boolean` | `isJboBean()`

Methods inherited from class oracle.jbo.server.ejb.SessionBeanImpl
`connectToDataSource, createApplicationModule, createApplicationModule, disconnectFromDataSource, doMessage, ejbActivate, ejbPassivate, ejbRemove, getApplicationModule, getApplicationModuleDefName, getConfigurationName, getSessionContext, getTransactionTimeOut, isTransactionManagedByBean, postApplicationModuleCreate, removeApplicationModule, setApplicationModuleDefName, setConfigurationName, setCurrentSessionContext, setSessionContext, useDataSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBean

    public ServiceBean()

Method Detail

### createTransactionHandlerFactory

    protected abstract TransactionHandlerFactory createTransactionHandlerFactory()

  Overrides:
    `createTransactionHandlerFactory` in class `SessionBeanImpl`

### createApplicationModule

    protected void createApplicationModule(java.lang.String amDefName,
                                           java.lang.String configName)
                                    throws javax.ejb.CreateException

  Convenience method for creating the aggregated application module instance using a LOCAL mode configuration.
  Parameters:
    `amDefName` - Fully qaulified appmodule definition name
    `configName` -
  Throws:
    `javax.ejb.CreateException`

### createApplicationModule

    protected void createApplicationModule(java.lang.String amDefName)
                                    throws javax.ejb.CreateException

  Convenience method for creating the aggregated application module instance. This method creates the the aggregated appmodule.
  Parameters:
    `amDefName` - Fully qaulified appmodule definition name
  Throws:
    `javax.ejb.CreateException`

### isJboBean

    protected final boolean isJboBean()

  Overrides:
    `isJboBean` in class `SessionBeanImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.